1 5 1.000000
1 6 1.000000
1 8 1.000000
1 12 1.000000
1 16 1.000000
1 18 1.000000
2 5 1.000000
2 7 1.000000
2 9 1.000000
2 13 1.000000
2 17 1.000000
2 19 1.000000
3 5 1.000000
3 8 1.000000
3 10 1.000000
3 12 1.000000
3 16 1.000000
3 18 1.000000
4 5 1.000000
4 9 1.000000
4 11 1.000000
4 13 1.000000
4 17 1.000000
4 19 1.000000
5 5 1.000000
5 8 1.000000
5 12 1.000000
5 14 1.000000
5 16 1.000000
5 18 1.000000
6 5 1.000000
6 9 1.000000
6 13 1.000000
6 15 1.000000
6 17 1.000000
6 19 1.000000
7 5 1.000000
7 20 1.000000
7 22 1.000000
7 26 1.000000
7 30 1.000000
7 32 1.000000
8 5 1.000000
8 21 1.000000
8 23 1.000000
8 27 1.000000
8 31 1.000000
8 33 1.000000
9 5 1.000000
9 22 1.000000
9 24 1.000000
9 26 1.000000
9 30 1.000000
9 32 1.000000
10 5 1.000000
10 23 1.000000
10 25 1.000000
10 27 1.000000
10 31 1.000000
10 33 1.000000
11 5 1.000000
11 22 1.000000
11 26 1.000000
11 28 1.000000
11 30 1.000000
11 32 1.000000
12 5 1.000000
12 23 1.000000
12 27 1.000000
12 29 1.000000
12 31 1.000000
12 33 1.000000
13 5 1.000000
13 34 1.000000
13 36 1.000000
13 40 1.000000
13 44 1.000000
13 46 1.000000
14 5 1.000000
14 35 1.000000
14 37 1.000000
14 41 1.000000
14 45 1.000000
14 47 1.000000
15 5 1.000000
15 36 1.000000
15 38 1.000000
15 40 1.000000
15 44 1.000000
15 46 1.000000
16 5 1.000000
16 37 1.000000
16 39 1.000000
16 41 1.000000
16 45 1.000000
16 47 1.000000
17 5 1.000000
17 36 1.000000
17 40 1.000000
17 42 1.000000
17 44 1.000000
17 46 1.000000
18 5 1.000000
18 37 1.000000
18 41 1.000000
18 43 1.000000
18 45 1.000000
18 47 1.000000
19 5 1.000000
19 48 1.000000
19 50 1.000000
19 54 1.000000
19 58 1.000000
19 60 1.000000
20 5 1.000000
20 49 1.000000
20 51 1.000000
20 55 1.000000
20 59 1.000000
20 61 1.000000
21 5 1.000000
21 50 1.000000
21 52 1.000000
21 54 1.000000
21 58 1.000000
21 60 1.000000
22 5 1.000000
22 51 1.000000
22 53 1.000000
22 55 1.000000
22 59 1.000000
22 61 1.000000
23 5 1.000000
23 50 1.000000
23 54 1.000000
23 56 1.000000
23 58 1.000000
23 60 1.000000
24 5 1.000000
24 51 1.000000
24 55 1.000000
24 57 1.000000
24 59 1.000000
24 61 1.000000
25 5 1.000000
25 62 1.000000
25 64 1.000000
25 68 1.000000
25 72 1.000000
25 74 1.000000
26 5 1.000000
26 63 1.000000
26 65 1.000000
26 69 1.000000
26 73 1.000000
26 75 1.000000
27 5 1.000000
27 64 1.000000
27 66 1.000000
27 68 1.000000
27 72 1.000000
27 74 1.000000
28 5 1.000000
28 65 1.000000
28 67 1.000000
28 69 1.000000
28 73 1.000000
28 75 1.000000
29 5 1.000000
29 64 1.000000
29 68 1.000000
29 70 1.000000
29 72 1.000000
29 74 1.000000
30 5 1.000000
30 65 1.000000
30 69 1.000000
30 71 1.000000
30 73 1.000000
30 75 1.000000
31 5 1.000000
31 76 1.000000
31 78 1.000000
31 82 1.000000
31 86 1.000000
31 88 1.000000
32 5 1.000000
32 77 1.000000
32 79 1.000000
32 83 1.000000
32 87 1.000000
32 89 1.000000
33 5 1.000000
33 78 1.000000
33 80 1.000000
33 82 1.000000
33 86 1.000000
33 88 1.000000
34 5 1.000000
34 79 1.000000
34 81 1.000000
34 83 1.000000
34 87 1.000000
34 89 1.000000
35 5 1.000000
35 78 1.000000
35 82 1.000000
35 84 1.000000
35 86 1.000000
35 88 1.000000
36 5 1.000000
36 79 1.000000
36 83 1.000000
36 85 1.000000
36 87 1.000000
36 89 1.000000
37 5 1.000000
37 90 1.000000
37 92 1.000000
37 96 1.000000
37 100 1.000000
37 102 1.000000
38 5 1.000000
38 91 1.000000
38 93 1.000000
38 97 1.000000
38 101 1.000000
38 103 1.000000
39 5 1.000000
39 92 1.000000
39 94 1.000000
39 96 1.000000
39 100 1.000000
39 102 1.000000
40 5 1.000000
40 93 1.000000
40 95 1.000000
40 97 1.000000
40 101 1.000000
40 103 1.000000
41 5 1.000000
41 92 1.000000
41 96 1.000000
41 98 1.000000
41 100 1.000000
41 102 1.000000
42 5 1.000000
42 93 1.000000
42 97 1.000000
42 99 1.000000
42 101 1.000000
42 103 1.000000
43 5 1.000000
43 104 1.000000
43 106 1.000000
43 110 1.000000
43 114 1.000000
43 116 1.000000
44 5 1.000000
44 105 1.000000
44 107 1.000000
44 111 1.000000
44 115 1.000000
44 117 1.000000
45 5 1.000000
45 106 1.000000
45 108 1.000000
45 110 1.000000
45 114 1.000000
45 116 1.000000
46 5 1.000000
46 107 1.000000
46 109 1.000000
46 111 1.000000
46 115 1.000000
46 117 1.000000
47 5 1.000000
47 106 1.000000
47 110 1.000000
47 112 1.000000
47 114 1.000000
47 116 1.000000
48 5 1.000000
48 107 1.000000
48 111 1.000000
48 113 1.000000
48 115 1.000000
48 117 1.000000
49 5 1.000000
49 118 1.000000
49 120 1.000000
49 124 1.000000
49 128 1.000000
49 130 1.000000
50 5 1.000000
50 119 1.000000
50 121 1.000000
50 125 1.000000
50 129 1.000000
50 131 1.000000
51 5 1.000000
51 120 1.000000
51 122 1.000000
51 124 1.000000
51 128 1.000000
51 130 1.000000
52 5 1.000000
52 121 1.000000
52 123 1.000000
52 125 1.000000
52 129 1.000000
52 131 1.000000
53 5 1.000000
53 120 1.000000
53 124 1.000000
53 126 1.000000
53 128 1.000000
53 130 1.000000
54 5 1.000000
54 121 1.000000
54 125 1.000000
54 127 1.000000
54 129 1.000000
54 131 1.000000
55 5 1.000000
55 132 1.000000
55 134 1.000000
55 138 1.000000
55 142 1.000000
55 144 1.000000
56 5 1.000000
56 133 1.000000
56 135 1.000000
56 139 1.000000
56 143 1.000000
56 145 1.000000
57 5 1.000000
57 134 1.000000
57 136 1.000000
57 138 1.000000
57 142 1.000000
57 144 1.000000
58 5 1.000000
58 135 1.000000
58 137 1.000000
58 139 1.000000
58 143 1.000000
58 145 1.000000
59 5 1.000000
59 134 1.000000
59 138 1.000000
59 140 1.000000
59 142 1.000000
59 144 1.000000
60 5 1.000000
60 135 1.000000
60 139 1.000000
60 141 1.000000
60 143 1.000000
60 145 1.000000
61 5 1.000000
61 146 1.000000
61 148 1.000000
61 152 1.000000
61 156 1.000000
61 158 1.000000
62 5 1.000000
62 147 1.000000
62 149 1.000000
62 153 1.000000
62 157 1.000000
62 159 1.000000
63 5 1.000000
63 148 1.000000
63 150 1.000000
63 152 1.000000
63 156 1.000000
63 158 1.000000
64 5 1.000000
64 149 1.000000
64 151 1.000000
64 153 1.000000
64 157 1.000000
64 159 1.000000
65 5 1.000000
65 148 1.000000
65 152 1.000000
65 154 1.000000
65 156 1.000000
65 158 1.000000
66 5 1.000000
66 149 1.000000
66 153 1.000000
66 155 1.000000
66 157 1.000000
66 159 1.000000
67 5 1.000000
67 160 1.000000
67 162 1.000000
67 166 1.000000
67 170 1.000000
67 172 1.000000
68 5 1.000000
68 161 1.000000
68 163 1.000000
68 167 1.000000
68 171 1.000000
68 173 1.000000
69 5 1.000000
69 162 1.000000
69 164 1.000000
69 166 1.000000
69 170 1.000000
69 172 1.000000
70 5 1.000000
70 163 1.000000
70 165 1.000000
70 167 1.000000
70 171 1.000000
70 173 1.000000
71 5 1.000000
71 162 1.000000
71 166 1.000000
71 168 1.000000
71 170 1.000000
71 172 1.000000
72 5 1.000000
72 163 1.000000
72 167 1.000000
72 169 1.000000
72 171 1.000000
72 173 1.000000
73 5 1.000000
73 174 1.000000
73 176 1.000000
73 180 1.000000
73 184 1.000000
73 186 1.000000
74 5 1.000000
74 175 1.000000
74 177 1.000000
74 181 1.000000
74 185 1.000000
74 187 1.000000
75 5 1.000000
75 176 1.000000
75 178 1.000000
75 180 1.000000
75 184 1.000000
75 186 1.000000
76 5 1.000000
76 177 1.000000
76 179 1.000000
76 181 1.000000
76 185 1.000000
76 187 1.000000
77 5 1.000000
77 176 1.000000
77 180 1.000000
77 182 1.000000
77 184 1.000000
77 186 1.000000
78 5 1.000000
78 177 1.000000
78 181 1.000000
78 183 1.000000
78 185 1.000000
78 187 1.000000
79 5 1.000000
79 188 1.000000
79 190 1.000000
79 194 1.000000
79 198 1.000000
79 200 1.000000
80 5 1.000000
80 189 1.000000
80 191 1.000000
80 195 1.000000
80 199 1.000000
80 201 1.000000
81 5 1.000000
81 190 1.000000
81 192 1.000000
81 194 1.000000
81 198 1.000000
81 200 1.000000
82 5 1.000000
82 191 1.000000
82 193 1.000000
82 195 1.000000
82 199 1.000000
82 201 1.000000
83 5 1.000000
83 190 1.000000
83 194 1.000000
83 196 1.000000
83 198 1.000000
83 200 1.000000
84 5 1.000000
84 191 1.000000
84 195 1.000000
84 197 1.000000
84 199 1.000000
84 201 1.000000
85 5 1.000000
85 202 1.000000
85 204 1.000000
85 208 1.000000
85 212 1.000000
85 214 1.000000
86 5 1.000000
86 203 1.000000
86 205 1.000000
86 209 1.000000
86 213 1.000000
86 215 1.000000
87 5 1.000000
87 204 1.000000
87 206 1.000000
87 208 1.000000
87 212 1.000000
87 214 1.000000
88 5 1.000000
88 205 1.000000
88 207 1.000000
88 209 1.000000
88 213 1.000000
88 215 1.000000
89 5 1.000000
89 204 1.000000
89 208 1.000000
89 210 1.000000
89 212 1.000000
89 214 1.000000
90 5 1.000000
90 205 1.000000
90 209 1.000000
90 211 1.000000
90 213 1.000000
90 215 1.000000
91 5 1.000000
91 216 1.000000
91 218 1.000000
91 222 1.000000
91 226 1.000000
91 228 1.000000
92 5 1.000000
92 217 1.000000
92 219 1.000000
92 223 1.000000
92 227 1.000000
92 229 1.000000
93 5 1.000000
93 218 1.000000
93 220 1.000000
93 222 1.000000
93 226 1.000000
93 228 1.000000
94 5 1.000000
94 219 1.000000
94 221 1.000000
94 223 1.000000
94 227 1.000000
94 229 1.000000
95 5 1.000000
95 218 1.000000
95 222 1.000000
95 224 1.000000
95 226 1.000000
95 228 1.000000
96 5 1.000000
96 219 1.000000
96 223 1.000000
96 225 1.000000
96 227 1.000000
96 229 1.000000
97 5 1.000000
97 230 1.000000
97 232 1.000000
97 236 1.000000
97 240 1.000000
97 242 1.000000
98 5 1.000000
98 231 1.000000
98 233 1.000000
98 237 1.000000
98 241 1.000000
98 243 1.000000
99 5 1.000000
99 232 1.000000
99 234 1.000000
99 236 1.000000
99 240 1.000000
99 242 1.000000
100 5 1.000000
100 233 1.000000
100 235 1.000000
100 237 1.000000
100 241 1.000000
100 243 1.000000
101 5 1.000000
101 232 1.000000
101 236 1.000000
101 238 1.000000
101 240 1.000000
101 242 1.000000
102 5 1.000000
102 233 1.000000
102 237 1.000000
102 239 1.000000
102 241 1.000000
102 243 1.000000
103 5 1.000000
103 244 1.000000
103 246 1.000000
103 250 1.000000
103 254 1.000000
103 256 1.000000
104 5 1.000000
104 245 1.000000
104 247 1.000000
104 251 1.000000
104 255 1.000000
104 257 1.000000
105 5 1.000000
105 246 1.000000
105 248 1.000000
105 250 1.000000
105 254 1.000000
105 256 1.000000
106 5 1.000000
106 247 1.000000
106 249 1.000000
106 251 1.000000
106 255 1.000000
106 257 1.000000
107 5 1.000000
107 246 1.000000
107 250 1.000000
107 252 1.000000
107 254 1.000000
107 256 1.000000
108 5 1.000000
108 247 1.000000
108 251 1.000000
108 253 1.000000
108 255 1.000000
108 257 1.000000
109 5 1.000000
109 258 1.000000
109 260 1.000000
109 264 1.000000
109 268 1.000000
109 270 1.000000
110 5 1.000000
110 259 1.000000
110 261 1.000000
110 265 1.000000
110 269 1.000000
110 271 1.000000
111 5 1.000000
111 260 1.000000
111 262 1.000000
111 264 1.000000
111 268 1.000000
111 270 1.000000
112 5 1.000000
112 261 1.000000
112 263 1.000000
112 265 1.000000
112 269 1.000000
112 271 1.000000
113 5 1.000000
113 260 1.000000
113 264 1.000000
113 266 1.000000
113 268 1.000000
113 270 1.000000
114 5 1.000000
114 261 1.000000
114 265 1.000000
114 267 1.000000
114 269 1.000000
114 271 1.000000
115 5 1.000000
115 272 1.000000
115 274 1.000000
115 278 1.000000
115 282 1.000000
115 284 1.000000
116 5 1.000000
116 273 1.000000
116 275 1.000000
116 279 1.000000
116 283 1.000000
116 285 1.000000
117 5 1.000000
117 274 1.000000
117 276 1.000000
117 278 1.000000
117 282 1.000000
117 284 1.000000
118 5 1.000000
118 275 1.000000
118 277 1.000000
118 279 1.000000
118 283 1.000000
118 285 1.000000
119 5 1.000000
119 274 1.000000
119 278 1.000000
119 280 1.000000
119 282 1.000000
119 284 1.000000
120 5 1.000000
120 275 1.000000
120 279 1.000000
120 281 1.000000
120 283 1.000000
120 285 1.000000
121 5 1.000000
121 286 1.000000
121 288 1.000000
121 292 1.000000
121 296 1.000000
121 298 1.000000
122 5 1.000000
122 287 1.000000
122 289 1.000000
122 293 1.000000
122 297 1.000000
122 299 1.000000
123 5 1.000000
123 288 1.000000
123 290 1.000000
123 292 1.000000
123 296 1.000000
123 298 1.000000
124 5 1.000000
124 289 1.000000
124 291 1.000000
124 293 1.000000
124 297 1.000000
124 299 1.000000
125 5 1.000000
125 288 1.000000
125 292 1.000000
125 294 1.000000
125 296 1.000000
125 298 1.000000
126 5 1.000000
126 289 1.000000
126 293 1.000000
126 295 1.000000
126 297 1.000000
126 299 1.000000
127 5 1.000000
127 300 1.000000
127 302 1.000000
127 306 1.000000
127 310 1.000000
127 312 1.000000
128 5 1.000000
128 301 1.000000
128 303 1.000000
128 307 1.000000
128 311 1.000000
128 313 1.000000
129 5 1.000000
129 302 1.000000
129 304 1.000000
129 306 1.000000
129 310 1.000000
129 312 1.000000
130 5 1.000000
130 303 1.000000
130 305 1.000000
130 307 1.000000
130 311 1.000000
130 313 1.000000
131 5 1.000000
131 302 1.000000
131 306 1.000000
131 308 1.000000
131 310 1.000000
131 312 1.000000
132 5 1.000000
132 303 1.000000
132 307 1.000000
132 309 1.000000
132 311 1.000000
132 313 1.000000
133 5 1.000000
133 314 1.000000
133 316 1.000000
133 320 1.000000
133 324 1.000000
133 326 1.000000
134 5 1.000000
134 315 1.000000
134 317 1.000000
134 321 1.000000
134 325 1.000000
134 327 1.000000
135 5 1.000000
135 316 1.000000
135 318 1.000000
135 320 1.000000
135 324 1.000000
135 326 1.000000
136 5 1.000000
136 317 1.000000
136 319 1.000000
136 321 1.000000
136 325 1.000000
136 327 1.000000
137 5 1.000000
137 316 1.000000
137 320 1.000000
137 322 1.000000
137 324 1.000000
137 326 1.000000
138 5 1.000000
138 317 1.000000
138 321 1.000000
138 323 1.000000
138 325 1.000000
138 327 1.000000
139 5 1.000000
139 328 1.000000
139 330 1.000000
139 334 1.000000
139 338 1.000000
139 340 1.000000
140 5 1.000000
140 329 1.000000
140 331 1.000000
140 335 1.000000
140 339 1.000000
140 341 1.000000
141 5 1.000000
141 330 1.000000
141 332 1.000000
141 334 1.000000
141 338 1.000000
141 340 1.000000
142 5 1.000000
142 331 1.000000
142 333 1.000000
142 335 1.000000
142 339 1.000000
142 341 1.000000
143 5 1.000000
143 330 1.000000
143 334 1.000000
143 336 1.000000
143 338 1.000000
143 340 1.000000
144 5 1.000000
144 331 1.000000
144 335 1.000000
144 337 1.000000
144 339 1.000000
144 341 1.000000
145 5 1.000000
145 8 1.000000
145 12 1.000000
145 16 1.000000
145 18 1.000000
145 32 1.000000
146 5 1.000000
146 9 1.000000
146 13 1.000000
146 17 1.000000
146 19 1.000000
146 33 1.000000
147 5 1.000000
147 36 1.000000
147 40 1.000000
147 44 1.000000
147 46 1.000000
147 60 1.000000
148 5 1.000000
148 37 1.000000
148 41 1.000000
148 45 1.000000
148 47 1.000000
148 61 1.000000
149 5 1.000000
149 64 1.000000
149 68 1.000000
149 72 1.000000
149 74 1.000000
149 88 1.000000
150 5 1.000000
150 65 1.000000
150 69 1.000000
150 73 1.000000
150 75 1.000000
150 89 1.000000
151 5 1.000000
151 92 1.000000
151 96 1.000000
151 100 1.000000
151 102 1.000000
151 116 1.000000
152 5 1.000000
152 93 1.000000
152 97 1.000000
152 101 1.000000
152 103 1.000000
152 117 1.000000
153 5 1.000000
153 120 1.000000
153 124 1.000000
153 128 1.000000
153 130 1.000000
153 144 1.000000
154 5 1.000000
154 121 1.000000
154 125 1.000000
154 129 1.000000
154 131 1.000000
154 145 1.000000
155 5 1.000000
155 148 1.000000
155 152 1.000000
155 156 1.000000
155 158 1.000000
155 172 1.000000
156 5 1.000000
156 149 1.000000
156 153 1.000000
156 157 1.000000
156 159 1.000000
156 173 1.000000
157 5 1.000000
157 176 1.000000
157 180 1.000000
157 184 1.000000
157 186 1.000000
157 200 1.000000
158 5 1.000000
158 177 1.000000
158 181 1.000000
158 185 1.000000
158 187 1.000000
158 201 1.000000
159 5 1.000000
159 204 1.000000
159 208 1.000000
159 212 1.000000
159 214 1.000000
159 228 1.000000
160 5 1.000000
160 205 1.000000
160 209 1.000000
160 213 1.000000
160 215 1.000000
160 229 1.000000
161 5 1.000000
161 232 1.000000
161 236 1.000000
161 240 1.000000
161 242 1.000000
161 256 1.000000
162 5 1.000000
162 233 1.000000
162 237 1.000000
162 241 1.000000
162 243 1.000000
162 257 1.000000
163 5 1.000000
163 260 1.000000
163 264 1.000000
163 268 1.000000
163 270 1.000000
163 284 1.000000
164 5 1.000000
164 261 1.000000
164 265 1.000000
164 269 1.000000
164 271 1.000000
164 285 1.000000
165 5 1.000000
165 288 1.000000
165 292 1.000000
165 296 1.000000
165 298 1.000000
165 312 1.000000
166 5 1.000000
166 289 1.000000
166 293 1.000000
166 297 1.000000
166 299 1.000000
166 313 1.000000
167 5 1.000000
167 316 1.000000
167 320 1.000000
167 324 1.000000
167 326 1.000000
167 340 1.000000
168 5 1.000000
168 317 1.000000
168 321 1.000000
168 325 1.000000
168 327 1.000000
168 341 1.000000
169 5 1.000000
169 342 1.000000
169 344 1.000000
169 354 1.000000
169 364 1.000000
169 372 1.000000
170 5 1.000000
170 343 1.000000
170 345 1.000000
170 355 1.000000
170 365 1.000000
170 373 1.000000
171 5 1.000000
171 346 1.000000
171 348 1.000000
171 358 1.000000
171 368 1.000000
171 374 1.000000
172 5 1.000000
172 347 1.000000
172 349 1.000000
172 359 1.000000
172 369 1.000000
172 375 1.000000
173 5 1.000000
173 350 1.000000
173 351 1.000000
173 361 1.000000
173 371 1.000000
173 376 1.000000
174 1 1.000000
174 2 1.000000
174 6 1.000000
174 8 1.000000
174 314 1.000000
175 1 1.000000
175 2 1.000000
175 7 1.000000
175 9 1.000000
175 315 1.000000
176 1 1.000000
176 3 1.000000
176 4 1.000000
176 146 1.000000
176 174 1.000000
176 176 1.000000
177 1 1.000000
177 3 1.000000
177 4 1.000000
177 147 1.000000
177 175 1.000000
177 177 1.000000
178 4 1.000000
178 34 1.000000
178 344 1.000000
179 4 1.000000
179 35 1.000000
179 345 1.000000
180 2 1.000000
180 3 1.000000
180 4 1.000000
180 258 1.000000
180 348 1.000000
181 2 1.000000
181 3 1.000000
181 4 1.000000
181 259 1.000000
181 349 1.000000
182 3 1.000000
182 351 1.000000
183 5 1.000000
183 344 1.000000
183 352 1.000000
183 354 1.000000
183 364 1.000000
183 372 1.000000
184 5 1.000000
184 345 1.000000
184 353 1.000000
184 355 1.000000
184 365 1.000000
184 373 1.000000
185 5 1.000000
185 348 1.000000
185 356 1.000000
185 358 1.000000
185 368 1.000000
185 374 1.000000
186 5 1.000000
186 349 1.000000
186 357 1.000000
186 359 1.000000
186 369 1.000000
186 375 1.000000
187 5 1.000000
187 351 1.000000
187 360 1.000000
187 361 1.000000
187 371 1.000000
187 376 1.000000
188 1 1.000000
188 2 1.000000
188 10 1.000000
188 12 1.000000
188 318 1.000000
189 1 1.000000
189 2 1.000000
189 11 1.000000
189 13 1.000000
189 319 1.000000
190 1 1.000000
190 3 1.000000
190 4 1.000000
190 150 1.000000
190 178 1.000000
190 180 1.000000
191 1 1.000000
191 3 1.000000
191 4 1.000000
191 151 1.000000
191 179 1.000000
191 181 1.000000
192 4 1.000000
192 38 1.000000
192 354 1.000000
193 4 1.000000
193 39 1.000000
193 355 1.000000
194 2 1.000000
194 3 1.000000
194 4 1.000000
194 262 1.000000
194 358 1.000000
195 2 1.000000
195 3 1.000000
195 4 1.000000
195 263 1.000000
195 359 1.000000
196 3 1.000000
196 361 1.000000
197 5 1.000000
197 344 1.000000
197 354 1.000000
197 362 1.000000
197 364 1.000000
197 372 1.000000
198 5 1.000000
198 345 1.000000
198 355 1.000000
198 363 1.000000
198 365 1.000000
198 373 1.000000
199 5 1.000000
199 348 1.000000
199 358 1.000000
199 366 1.000000
199 368 1.000000
199 374 1.000000
200 5 1.000000
200 349 1.000000
200 359 1.000000
200 367 1.000000
200 369 1.000000
200 375 1.000000
201 5 1.000000
201 351 1.000000
201 361 1.000000
201 370 1.000000
201 371 1.000000
201 376 1.000000
202 1 1.000000
202 2 1.000000
202 14 1.000000
202 16 1.000000
202 322 1.000000
203 1 1.000000
203 2 1.000000
203 15 1.000000
203 17 1.000000
203 323 1.000000
204 1 1.000000
204 3 1.000000
204 4 1.000000
204 154 1.000000
204 182 1.000000
204 184 1.000000
205 1 1.000000
205 3 1.000000
205 4 1.000000
205 155 1.000000
205 183 1.000000
205 185 1.000000
206 4 1.000000
206 42 1.000000
206 364 1.000000
207 4 1.000000
207 43 1.000000
207 365 1.000000
208 2 1.000000
208 3 1.000000
208 4 1.000000
208 266 1.000000
208 368 1.000000
209 2 1.000000
209 3 1.000000
209 4 1.000000
209 267 1.000000
209 369 1.000000
210 3 1.000000
210 371 1.000000
211 5 1.000000
211 377 1.000000
211 379 1.000000
211 389 1.000000
211 399 1.000000
211 407 1.000000
212 5 1.000000
212 378 1.000000
212 380 1.000000
212 390 1.000000
212 400 1.000000
212 408 1.000000
213 5 1.000000
213 381 1.000000
213 383 1.000000
213 393 1.000000
213 403 1.000000
213 409 1.000000
214 5 1.000000
214 382 1.000000
214 384 1.000000
214 394 1.000000
214 404 1.000000
214 410 1.000000
215 5 1.000000
215 385 1.000000
215 386 1.000000
215 396 1.000000
215 406 1.000000
215 411 1.000000
216 1 1.000000
216 2 1.000000
216 20 1.000000
216 22 1.000000
216 328 1.000000
217 1 1.000000
217 2 1.000000
217 21 1.000000
217 23 1.000000
217 329 1.000000
218 1 1.000000
218 3 1.000000
218 4 1.000000
218 160 1.000000
218 188 1.000000
218 190 1.000000
219 1 1.000000
219 3 1.000000
219 4 1.000000
219 161 1.000000
219 189 1.000000
219 191 1.000000
220 4 1.000000
220 48 1.000000
220 379 1.000000
221 4 1.000000
221 49 1.000000
221 380 1.000000
222 2 1.000000
222 3 1.000000
222 4 1.000000
222 272 1.000000
222 383 1.000000
223 2 1.000000
223 3 1.000000
223 4 1.000000
223 273 1.000000
223 384 1.000000
224 3 1.000000
224 386 1.000000
225 5 1.000000
225 379 1.000000
225 387 1.000000
225 389 1.000000
225 399 1.000000
225 407 1.000000
226 5 1.000000
226 380 1.000000
226 388 1.000000
226 390 1.000000
226 400 1.000000
226 408 1.000000
227 5 1.000000
227 383 1.000000
227 391 1.000000
227 393 1.000000
227 403 1.000000
227 409 1.000000
228 5 1.000000
228 384 1.000000
228 392 1.000000
228 394 1.000000
228 404 1.000000
228 410 1.000000
229 5 1.000000
229 386 1.000000
229 395 1.000000
229 396 1.000000
229 406 1.000000
229 411 1.000000
230 1 1.000000
230 2 1.000000
230 24 1.000000
230 26 1.000000
230 332 1.000000
231 1 1.000000
231 2 1.000000
231 25 1.000000
231 27 1.000000
231 333 1.000000
232 1 1.000000
232 3 1.000000
232 4 1.000000
232 164 1.000000
232 192 1.000000
232 194 1.000000
233 1 1.000000
233 3 1.000000
233 4 1.000000
233 165 1.000000
233 193 1.000000
233 195 1.000000
234 4 1.000000
234 52 1.000000
234 389 1.000000
235 4 1.000000
235 53 1.000000
235 390 1.000000
236 2 1.000000
236 3 1.000000
236 4 1.000000
236 276 1.000000
236 393 1.000000
237 2 1.000000
237 3 1.000000
237 4 1.000000
237 277 1.000000
237 394 1.000000
238 3 1.000000
238 396 1.000000
239 5 1.000000
239 379 1.000000
239 389 1.000000
239 397 1.000000
239 399 1.000000
239 407 1.000000
240 5 1.000000
240 380 1.000000
240 390 1.000000
240 398 1.000000
240 400 1.000000
240 408 1.000000
241 5 1.000000
241 383 1.000000
241 393 1.000000
241 401 1.000000
241 403 1.000000
241 409 1.000000
242 5 1.000000
242 384 1.000000
242 394 1.000000
242 402 1.000000
242 404 1.000000
242 410 1.000000
243 5 1.000000
243 386 1.000000
243 396 1.000000
243 405 1.000000
243 406 1.000000
243 411 1.000000
244 1 1.000000
244 2 1.000000
244 28 1.000000
244 30 1.000000
244 336 1.000000
245 1 1.000000
245 2 1.000000
245 29 1.000000
245 31 1.000000
245 337 1.000000
246 1 1.000000
246 3 1.000000
246 4 1.000000
246 168 1.000000
246 196 1.000000
246 198 1.000000
247 1 1.000000
247 3 1.000000
247 4 1.000000
247 169 1.000000
247 197 1.000000
247 199 1.000000
248 4 1.000000
248 56 1.000000
248 399 1.000000
249 4 1.000000
249 57 1.000000
249 400 1.000000
250 2 1.000000
250 3 1.000000
250 4 1.000000
250 280 1.000000
250 403 1.000000
251 2 1.000000
251 3 1.000000
251 4 1.000000
251 281 1.000000
251 404 1.000000
252 3 1.000000
252 406 1.000000
253 5 1.000000
253 344 1.000000
253 354 1.000000
253 364 1.000000
253 372 1.000000
253 407 1.000000
254 5 1.000000
254 345 1.000000
254 355 1.000000
254 365 1.000000
254 373 1.000000
254 408 1.000000
255 5 1.000000
255 348 1.000000
255 358 1.000000
255 368 1.000000
255 374 1.000000
255 409 1.000000
256 5 1.000000
256 349 1.000000
256 359 1.000000
256 369 1.000000
256 375 1.000000
256 410 1.000000
257 5 1.000000
257 351 1.000000
257 361 1.000000
257 371 1.000000
257 376 1.000000
257 411 1.000000
258 1 1.000000
258 4 1.000000
258 6 1.000000
258 34 1.000000
258 36 1.000000
259 1 1.000000
259 4 1.000000
259 7 1.000000
259 35 1.000000
259 37 1.000000
260 1 1.000000
260 4 1.000000
260 10 1.000000
260 38 1.000000
260 40 1.000000
261 1 1.000000
261 4 1.000000
261 11 1.000000
261 39 1.000000
261 41 1.000000
262 1 1.000000
262 4 1.000000
262 14 1.000000
262 42 1.000000
262 44 1.000000
263 1 1.000000
263 4 1.000000
263 15 1.000000
263 43 1.000000
263 45 1.000000
264 1 1.000000
264 4 1.000000
264 20 1.000000
264 48 1.000000
264 50 1.000000
265 1 1.000000
265 4 1.000000
265 21 1.000000
265 49 1.000000
265 51 1.000000
266 1 1.000000
266 4 1.000000
266 24 1.000000
266 52 1.000000
266 54 1.000000
267 1 1.000000
267 4 1.000000
267 25 1.000000
267 53 1.000000
267 55 1.000000
268 1 1.000000
268 4 1.000000
268 28 1.000000
268 56 1.000000
268 58 1.000000
269 1 1.000000
269 4 1.000000
269 29 1.000000
269 57 1.000000
269 59 1.000000
270 1 1.000000
270 4 1.000000
270 34 1.000000
270 62 1.000000
270 64 1.000000
271 1 1.000000
271 4 1.000000
271 35 1.000000
271 63 1.000000
271 65 1.000000
272 1 1.000000
272 4 1.000000
272 38 1.000000
272 66 1.000000
272 68 1.000000
273 1 1.000000
273 4 1.000000
273 39 1.000000
273 67 1.000000
273 69 1.000000
274 1 1.000000
274 4 1.000000
274 42 1.000000
274 70 1.000000
274 72 1.000000
275 1 1.000000
275 4 1.000000
275 43 1.000000
275 71 1.000000
275 73 1.000000
276 1 1.000000
276 4 1.000000
276 48 1.000000
276 76 1.000000
276 78 1.000000
277 1 1.000000
277 4 1.000000
277 49 1.000000
277 77 1.000000
277 79 1.000000
278 1 1.000000
278 4 1.000000
278 52 1.000000
278 80 1.000000
278 82 1.000000
279 1 1.000000
279 4 1.000000
279 53 1.000000
279 81 1.000000
279 83 1.000000
280 1 1.000000
280 4 1.000000
280 56 1.000000
280 84 1.000000
280 86 1.000000
281 1 1.000000
281 4 1.000000
281 57 1.000000
281 85 1.000000
281 87 1.000000
282 1 1.000000
282 4 1.000000
282 62 1.000000
282 90 1.000000
282 92 1.000000
283 1 1.000000
283 4 1.000000
283 63 1.000000
283 91 1.000000
283 93 1.000000
284 1 1.000000
284 4 1.000000
284 66 1.000000
284 94 1.000000
284 96 1.000000
285 1 1.000000
285 4 1.000000
285 67 1.000000
285 95 1.000000
285 97 1.000000
286 1 1.000000
286 4 1.000000
286 70 1.000000
286 98 1.000000
286 100 1.000000
287 1 1.000000
287 4 1.000000
287 71 1.000000
287 99 1.000000
287 101 1.000000
288 1 1.000000
288 4 1.000000
288 76 1.000000
288 104 1.000000
288 106 1.000000
289 1 1.000000
289 4 1.000000
289 77 1.000000
289 105 1.000000
289 107 1.000000
290 1 1.000000
290 4 1.000000
290 80 1.000000
290 108 1.000000
290 110 1.000000
291 1 1.000000
291 4 1.000000
291 81 1.000000
291 109 1.000000
291 111 1.000000
292 1 1.000000
292 4 1.000000
292 84 1.000000
292 112 1.000000
292 114 1.000000
293 1 1.000000
293 4 1.000000
293 85 1.000000
293 113 1.000000
293 115 1.000000
294 1 1.000000
294 4 1.000000
294 90 1.000000
294 118 1.000000
294 120 1.000000
295 1 1.000000
295 4 1.000000
295 91 1.000000
295 119 1.000000
295 121 1.000000
296 1 1.000000
296 4 1.000000
296 94 1.000000
296 122 1.000000
296 124 1.000000
297 1 1.000000
297 4 1.000000
297 95 1.000000
297 123 1.000000
297 125 1.000000
298 1 1.000000
298 4 1.000000
298 98 1.000000
298 126 1.000000
298 128 1.000000
299 1 1.000000
299 4 1.000000
299 99 1.000000
299 127 1.000000
299 129 1.000000
300 1 1.000000
300 4 1.000000
300 104 1.000000
300 132 1.000000
300 134 1.000000
301 1 1.000000
301 4 1.000000
301 105 1.000000
301 133 1.000000
301 135 1.000000
302 1 1.000000
302 4 1.000000
302 108 1.000000
302 136 1.000000
302 138 1.000000
303 1 1.000000
303 4 1.000000
303 109 1.000000
303 137 1.000000
303 139 1.000000
304 1 1.000000
304 4 1.000000
304 112 1.000000
304 140 1.000000
304 142 1.000000
305 1 1.000000
305 4 1.000000
305 113 1.000000
305 141 1.000000
305 143 1.000000
306 1 1.000000
306 4 1.000000
306 118 1.000000
306 146 1.000000
306 148 1.000000
307 1 1.000000
307 4 1.000000
307 119 1.000000
307 147 1.000000
307 149 1.000000
308 1 1.000000
308 4 1.000000
308 122 1.000000
308 150 1.000000
308 152 1.000000
309 1 1.000000
309 4 1.000000
309 123 1.000000
309 151 1.000000
309 153 1.000000
310 1 1.000000
310 4 1.000000
310 126 1.000000
310 154 1.000000
310 156 1.000000
311 1 1.000000
311 4 1.000000
311 127 1.000000
311 155 1.000000
311 157 1.000000
312 1 1.000000
312 4 1.000000
312 132 1.000000
312 160 1.000000
312 162 1.000000
313 1 1.000000
313 4 1.000000
313 133 1.000000
313 161 1.000000
313 163 1.000000
314 1 1.000000
314 4 1.000000
314 136 1.000000
314 164 1.000000
314 166 1.000000
315 1 1.000000
315 4 1.000000
315 137 1.000000
315 165 1.000000
315 167 1.000000
316 1 1.000000
316 4 1.000000
316 140 1.000000
316 168 1.000000
316 170 1.000000
317 1 1.000000
317 4 1.000000
317 141 1.000000
317 169 1.000000
317 171 1.000000
318 1 1.000000
318 3 1.000000
318 4 1.000000
318 174 1.000000
318 202 1.000000
318 204 1.000000
319 1 1.000000
319 3 1.000000
319 4 1.000000
319 175 1.000000
319 203 1.000000
319 205 1.000000
320 1 1.000000
320 3 1.000000
320 4 1.000000
320 178 1.000000
320 206 1.000000
320 208 1.000000
321 1 1.000000
321 3 1.000000
321 4 1.000000
321 179 1.000000
321 207 1.000000
321 209 1.000000
322 1 1.000000
322 3 1.000000
322 4 1.000000
322 182 1.000000
322 210 1.000000
322 212 1.000000
323 1 1.000000
323 3 1.000000
323 4 1.000000
323 183 1.000000
323 211 1.000000
323 213 1.000000
324 1 1.000000
324 3 1.000000
324 4 1.000000
324 188 1.000000
324 216 1.000000
324 218 1.000000
325 1 1.000000
325 3 1.000000
325 4 1.000000
325 189 1.000000
325 217 1.000000
325 219 1.000000
326 1 1.000000
326 3 1.000000
326 4 1.000000
326 192 1.000000
326 220 1.000000
326 222 1.000000
327 1 1.000000
327 3 1.000000
327 4 1.000000
327 193 1.000000
327 221 1.000000
327 223 1.000000
328 1 1.000000
328 3 1.000000
328 4 1.000000
328 196 1.000000
328 224 1.000000
328 226 1.000000
329 1 1.000000
329 3 1.000000
329 4 1.000000
329 197 1.000000
329 225 1.000000
329 227 1.000000
330 1 1.000000
330 3 1.000000
330 4 1.000000
330 202 1.000000
330 230 1.000000
330 232 1.000000
331 1 1.000000
331 3 1.000000
331 4 1.000000
331 203 1.000000
331 231 1.000000
331 233 1.000000
332 1 1.000000
332 3 1.000000
332 4 1.000000
332 206 1.000000
332 234 1.000000
332 236 1.000000
333 1 1.000000
333 3 1.000000
333 4 1.000000
333 207 1.000000
333 235 1.000000
333 237 1.000000
334 1 1.000000
334 3 1.000000
334 4 1.000000
334 210 1.000000
334 238 1.000000
334 240 1.000000
335 1 1.000000
335 3 1.000000
335 4 1.000000
335 211 1.000000
335 239 1.000000
335 241 1.000000
336 1 1.000000
336 3 1.000000
336 4 1.000000
336 216 1.000000
336 244 1.000000
336 246 1.000000
337 1 1.000000
337 3 1.000000
337 4 1.000000
337 217 1.000000
337 245 1.000000
337 247 1.000000
338 1 1.000000
338 3 1.000000
338 4 1.000000
338 220 1.000000
338 248 1.000000
338 250 1.000000
339 1 1.000000
339 3 1.000000
339 4 1.000000
339 221 1.000000
339 249 1.000000
339 251 1.000000
340 1 1.000000
340 3 1.000000
340 4 1.000000
340 224 1.000000
340 252 1.000000
340 254 1.000000
341 1 1.000000
341 3 1.000000
341 4 1.000000
341 225 1.000000
341 253 1.000000
341 255 1.000000
342 1 1.000000
342 3 1.000000
342 4 1.000000
342 230 1.000000
342 258 1.000000
342 260 1.000000
343 1 1.000000
343 3 1.000000
343 4 1.000000
343 231 1.000000
343 259 1.000000
343 261 1.000000
344 1 1.000000
344 3 1.000000
344 4 1.000000
344 234 1.000000
344 262 1.000000
344 264 1.000000
345 1 1.000000
345 3 1.000000
345 4 1.000000
345 235 1.000000
345 263 1.000000
345 265 1.000000
346 1 1.000000
346 3 1.000000
346 4 1.000000
346 238 1.000000
346 266 1.000000
346 268 1.000000
347 1 1.000000
347 3 1.000000
347 4 1.000000
347 239 1.000000
347 267 1.000000
347 269 1.000000
348 1 1.000000
348 3 1.000000
348 4 1.000000
348 244 1.000000
348 272 1.000000
348 274 1.000000
349 1 1.000000
349 3 1.000000
349 4 1.000000
349 245 1.000000
349 273 1.000000
349 275 1.000000
350 1 1.000000
350 3 1.000000
350 4 1.000000
350 248 1.000000
350 276 1.000000
350 278 1.000000
351 1 1.000000
351 3 1.000000
351 4 1.000000
351 249 1.000000
351 277 1.000000
351 279 1.000000
352 1 1.000000
352 3 1.000000
352 4 1.000000
352 252 1.000000
352 280 1.000000
352 282 1.000000
353 1 1.000000
353 3 1.000000
353 4 1.000000
353 253 1.000000
353 281 1.000000
353 283 1.000000
354 1 1.000000
354 2 1.000000
354 258 1.000000
354 286 1.000000
354 288 1.000000
355 1 1.000000
355 2 1.000000
355 259 1.000000
355 287 1.000000
355 289 1.000000
356 1 1.000000
356 2 1.000000
356 262 1.000000
356 290 1.000000
356 292 1.000000
357 1 1.000000
357 2 1.000000
357 263 1.000000
357 291 1.000000
357 293 1.000000
358 1 1.000000
358 2 1.000000
358 266 1.000000
358 294 1.000000
358 296 1.000000
359 1 1.000000
359 2 1.000000
359 267 1.000000
359 295 1.000000
359 297 1.000000
360 1 1.000000
360 2 1.000000
360 272 1.000000
360 300 1.000000
360 302 1.000000
361 1 1.000000
361 2 1.000000
361 273 1.000000
361 301 1.000000
361 303 1.000000
362 1 1.000000
362 2 1.000000
362 276 1.000000
362 304 1.000000
362 306 1.000000
363 1 1.000000
363 2 1.000000
363 277 1.000000
363 305 1.000000
363 307 1.000000
364 1 1.000000
364 2 1.000000
364 280 1.000000
364 308 1.000000
364 310 1.000000
365 1 1.000000
365 2 1.000000
365 281 1.000000
365 309 1.000000
365 311 1.000000
366 28 1.000000
366 298 1.000000
367 29 1.000000
367 299 1.000000
368 1 1.000000
368 2 1.000000
368 286 1.000000
368 314 1.000000
368 316 1.000000
369 1 1.000000
369 2 1.000000
369 287 1.000000
369 315 1.000000
369 317 1.000000
370 1 1.000000
370 2 1.000000
370 290 1.000000
370 318 1.000000
370 320 1.000000
371 1 1.000000
371 2 1.000000
371 291 1.000000
371 319 1.000000
371 321 1.000000
372 1 1.000000
372 2 1.000000
372 294 1.000000
372 322 1.000000
372 324 1.000000
373 1 1.000000
373 2 1.000000
373 295 1.000000
373 323 1.000000
373 325 1.000000
374 1 1.000000
374 2 1.000000
374 300 1.000000
374 328 1.000000
374 330 1.000000
375 1 1.000000
375 2 1.000000
375 301 1.000000
375 329 1.000000
375 331 1.000000
376 1 1.000000
376 2 1.000000
376 304 1.000000
376 332 1.000000
376 334 1.000000
377 1 1.000000
377 2 1.000000
377 305 1.000000
377 333 1.000000
377 335 1.000000
378 1 1.000000
378 2 1.000000
378 308 1.000000
378 336 1.000000
378 338 1.000000
379 1 1.000000
379 2 1.000000
379 309 1.000000
379 337 1.000000
379 339 1.000000
380 56 1.000000
380 326 1.000000
381 57 1.000000
381 327 1.000000
382 18 1.000000
382 84 1.000000
383 19 1.000000
383 85 1.000000
384 46 1.000000
384 112 1.000000
385 47 1.000000
385 113 1.000000
386 74 1.000000
386 140 1.000000
387 75 1.000000
387 141 1.000000
388 102 1.000000
388 168 1.000000
389 103 1.000000
389 169 1.000000
390 130 1.000000
390 196 1.000000
391 131 1.000000
391 197 1.000000
392 158 1.000000
392 224 1.000000
393 159 1.000000
393 225 1.000000
394 186 1.000000
394 252 1.000000
395 187 1.000000
395 253 1.000000
396 214 1.000000
396 280 1.000000
397 215 1.000000
397 281 1.000000
398 242 1.000000
398 308 1.000000
399 243 1.000000
399 309 1.000000
400 270 1.000000
400 336 1.000000
401 271 1.000000
401 337 1.000000
